package org.jeecg.modules.system.app.enums;

import org.jeecg.common.system.annotation.EnumDict;

/**
 * 回复状态枚举
 */
@EnumDict("auditStatusEnum")
public enum AuditStatusEnum {
//   0-投诉吐槽；1-功能异常；2-用户体验；3-功能建议；4-其他
    SUCCESS(0, "通过"),
    FAIL(1, "不通过");

    Integer code;
    String name;
    AuditStatusEnum(Integer code, String name) {
        this.code = code;
        this.name = name;
    }
    public Integer getCode() {
        return code;
    }

    public void setCode(Integer code) {
        this.code = code;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getName() {
        return name;
    }
    public static AuditStatusEnum getByCode(Integer code) {
        for (AuditStatusEnum value : values()) {
            if (value.code.equals(code) ) {
                return value;
            }
        }
        return null;
    }
}
